  function loadLevel()
        level = {}
        for y, row in ipairs(levels[currentLevel]) do
            level[y] = {}
            for x, cell in ipairs(row) do
                level[y][x] = cell
            end
        end
    end

function draw_level()

    for y, row in ipairs(level) do
        for x, cell in ipairs(row) do
           love.graphics.setFont(love.graphics.newFont(15))
            if cell ~= empty then
                local cellSize = 23

                    local colors = {
                    --[fish1] = {0.64, 0.53, 1},
                    --[fish1body] = {0.64, 0.53, 1},
                    --[fish2] = {0, 0, 1},
                    --[fish2body] = {0, 0, 1},
                    --[chair1] = {0.5, 0.5, 0},
                    --[table] = {0.62, 0.47, 1},
                    --[chair2] = {1, 0.79, 0.49},
                    --[steelbar] = {0.59, 1, 0.5},
                    --[cushion] = {0.61, 0.9, 1},
                    [wall] = {0.6, 0.58, 0.2},
                    --[obj1] = {0.29,0.43,0.83},
                    --[obj2] = {0.9,0.43,0.83},
                    [empty] = {0.146, 0.73, 0.73},
                }

				if coloredcells=="yes" then
                love.graphics.setColor(colors[cell])
                love.graphics.rectangle(
                    'fill',
                    (x - 1) * cellSize,
                    (y - 1) * cellSize,
                    cellSize,
                    cellSize
                )
                
                end
                if adjacentcells=="yes" then
                --adjayencent cells
                 love.graphics.setColor(1,1,0,0.5)
                love.graphics.rectangle('fill', (f1x) * cellSize,(f1y) * cellSize, cellSize*5, cellSize*4)
                love.graphics.rectangle('fill', (f2x) * cellSize,(f2y) * cellSize, cellSize*5, cellSize*3)
                end
                
                if charactercells=="yes" then
                love.graphics.setFont(love.graphics.newFont(12))
                love.graphics.setColor(1, 1, 1)
                love.graphics.print(
                    level[y][x],
                    (x - 1) * cellSize,
                    (y - 1) * cellSize
                )
                end
            
			love.graphics.setColor(0.5,0.5,0.5,0.8)
			love.graphics.rectangle('fill',40,20,200,80)
			love.graphics.rectangle('fill',440,20,250,50)
			love.graphics.setColor(1,1,1)
            love.graphics.setFont(love.graphics.newFont(12))
            love.graphics.print("Level :" .. currentLevel,50,20)	--print currentlevel
            love.graphics.print("Current player:" ..currentplayer,50,30)
            love.graphics.print("Press space to switch characters:",450,30)
			love.graphics.print("Press h for help:",450,50)							
			love.graphics.print("player1 position: x= " ..f1x .. "y=:" .. f1y,50,50)		
			love.graphics.print("player2 position: x= " ..f2x .. "y=:" .. f2y,50,70)		
            end
        end
    end
end
